Suggestions

31 views
Skip to first unread message

Bob Bob

unread,
Feb 3, 2021, 3:16:14 AM2/3/21
to OpenLiteSpeed Development
KJZ7jo7.png
Hello I been trying to use the "PreCompile PHP"
and my issue with it is that openlitespeed claim to be that easy to use software but it requires to "sudo apt-get update -y && sudo apt-get install -y pkg-config" 
My suggestion is that 
please add to /usr/local/lsws/phpbuild/buildphp_manual_run.sh
this bash comment, best greedings you KukSiNelingKushim

George Wang

unread,
Feb 4, 2021, 10:46:42 AM2/4/21
to OpenLiteSpeed Development
Hi,

Thanks for the suggestion.

buildphp_manual_run.sh is intended for all distributions, not just for debian/ubuntu . there could be other missing packages in order to compile from source. 
It is hard for us to cover everything, when different PHP module enabled, there might be different missing packages.
It still requires people tries to compile from source has experiences with that and fix all missing packages.  

Have you tried our pre-compiled PHP binary from our repo? Or, you have to compile from source yourself?

Best regards,
George Wang

Reply all
Reply to author
Forward
0 new messages